package LATMOS::Accounts::Web::Controller::Data::ListEmployments;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Data::EmploymentList - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    $c->forward('/summary/listemployments/index');
    $c->stash->{columns} = [ qw(user username firstday lastday contratType department) ];
    $c->stash->{data} = $c->stash->{employments};
    foreach my $row (@{ $c->stash->{data} }) {
        utf8::decode( $row->{username} );
    } 
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
